﻿using System;
using System.Linq;
using Telerik.Web.UI;

public partial class Rating_itemCount : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		ratingRepeater.DataSource = new[] { 1, 2, 3, 4, 5 };
		ratingRepeater.DataBind();

		PopulateRatingPanel();
    }

	private void PopulateRatingPanel()
	{
		for (int i = 1; i <= 5; i++)
		{
			ratingPanel.Controls.Add(CreateRating(i));
		}
	}

	private RadRating CreateRating(int items)
	{
		return new RadRating()
		{
			ItemCount = items,
			Value = Convert.ToInt32(items)
		};
	}
}